//
// Version Spec
// X.AA.BB 
// AA: Model Version BB: Data file Version 
//
// Installer Data file V 1.07.01
// 07 = Campari-P1(Type103)


//////////////////////////////////////////////////////////////////////////////////////////////////////////
//													//
//						Command Section						//			
//													//
//////////////////////////////////////////////////////////////////////////////////////////////////////////


//////////////////////////////////////////
// 	Install Start command		//
//////////////////////////////////////////

[INST_STRART_CMD]
CT_DELETE_FILE = DEVICEINFO_DELETE

[INST_STRART_CMD.END]


//////////////////////////////////////////
//	Install End  command		//
//////////////////////////////////////////
[INST_END_CMD]


[INST_END_CMD.END]



//////////////////////////////////////////
// 	Restall Start command		//
//////////////////////////////////////////

[REINST_STRART_CMD]

[REINST_STRART_CMD.END]

//////////////////////////////////////////
//	Restall End command		//
//////////////////////////////////////////

[REINST_END_CMD]

[REINST_END_CMD.END]




//////////////////////////////////////////
// 	Unstall Start command		//
//////////////////////////////////////////

[UNINST_STRART_CMD]

[UNINST_STRART_CMD.END]

//////////////////////////////////////////
// 	Unstall End command		//
//////////////////////////////////////////

[UNINST_END_CMD]
CT_DELREG = DEL_REG.VKPRINT
[UNINST_END_CMD.END]









//////////////////////////////////////////////////////////////////////
//     								    //		
// 			Copy file section			    //
//								    //
//////////////////////////////////////////////////////////////////////
[COPY_FILE_INFO]
COPYFILE_DATA
COPYFILE_SETUP
COPYFILE_PCL_ALL
COPYFILE_SCAN
COPYFILE_PSU
COPYFILE_SETIP
COPYFILE_MANUAL
COPYFILE_MANUAL_VIEWER
COPYFILE_ACROBAT
[COPY_FILE_INFO_END]

[COPYFILE_PCL_ALL]
DESCRIPTION = @COMPONENT.PRINTER_PCL@
SOURCE = $SRC_DIR$\PRINTER\PCL
DESTINATION = $DEST_DIR$\Install\PRINTER\PCL
COPY_SUBDIR = 1

[COPYFILE_SCAN]
DESCRIPTION = @COMPONENT.SCANNER@
SOURCE = %SCAN_DIR%
DESTINATION = $DEST_DIR$\Install\Application\SCANNER
COPY_SUBDIR = 1

[COPYFILE_PSU]
DESCRIPTION = @COMPONENT.PSU@
SOURCE = %PSU_DIR%
DESTINATION = $DEST_DIR$\Install\Application\PSU
COPY_SUBDIR = 1

[COPYFILE_SETIP]
DESCRIPTION = @COMPONENT.SETIP@
SOURCE = $SRC_DIR$\Application\SETIP\$LANG_DIR$\SetIP.exe
DESTINATION = %SETIP_DIR%
COPY_SUBDIR = 1

[COPYFILE_DATA]
DESCRIPTION = @FILE_COPY.INSTALLATION@
SOURCE = $SRC_DIR$\data
DESTINATION = $DEST_DIR$\Install\data
COPY_SUBDIR = 1

[COPYFILE_SETUP]
DESCRIPTION = @FILE_COPY.INSTALLATION@
SOURCE = $SRC_DIR$
DESTINATION = $DEST_DIR$\Install
COPY_SUBDIR = 0

[COPYFILE_PRINT119_ICON]
DESCRIPTION = @FILE_COPY.INSTALLATION@
SOURCE = $SRC_DIR$\data\SP119.ico
DESTINATION = $WIN_DIR$\SP119.ico
DELETE = 0

[COPYFILE_MANUAL]
DESCRIPTION = @FILE_COPY.MANUAL@
SOURCE = $SRC_DIR$\MANUAL\$ORG_LANG_DIR$
DESTINATION = $DEST_DIR$\Install\MANUAL\$ORG_LANG_DIR$

[COPYFILE_MANUAL_VIEWER]
DESCRIPTION = @FILE_COPY.MANUAL@
SOURCE = $SRC_DIR$\DATA\Ssopen.exe
DESTINATION = $DEST_DIR$\Install\DATA\Ssopen.exe

[COPYFILE_ACROBAT]
DESCRIPTION = @FILE_COPY.ACROBATREADER@
SOURCE = $SRC_DIR$\ACROBAT_READER\$ORG_LANG_DIR$
DESTINATION = $DEST_DIR$\Install\ACROBAT_READER\$ORG_LANG_DIR$


//////////////////////////////////////////////////
//
// Copy Network Monitor File
//
////////////////////////////////////////////////////
[NET_MON_9X_FILE]
SUPPORTED_OS = WIN95,WIN98,WINME
FILE = $SRC_DIR$\DATA\NetMon\secmon_9x.dll,$SYS_DIR$\secmon.dll
FILE = $SRC_DIR$\DATA\NetMon\ini\$LANG_DIR$\PortMon.ini,$SYS_DIR$\PortMon.ini,0
FILE = $SRC_DIR$\DATA\NetMon\SecSNMP.dll,$SYS_DIR$\SecSNMP.dll,0
[NET_MON_9X_FILE_END]

[NET_MON_NT_FILE]
SUPPORTED_OS = WINNT
FILE = $SRC_DIR$\DATA\NetMon\secmon_NT.dll,$SYS_DIR$\secmon.dll
FILE = $SRC_DIR$\DATA\NetMon\ini\$LANG_DIR$\PortMon.ini,$SYS_DIR$\PortMon.ini,0
FILE = $SRC_DIR$\DATA\NetMon\SecSNMP.dll,$SYS_DIR$\SecSNMP.dll,0
[NET_MON_NT_FILE_END]

////////////////////////////////////////////////
//
// Shortcut information
//
///////////////////////////////////////////////
[UNINST_SHORTCUT]
NAME = @COMMON.SHORTCUT_MAINT@
GROUP = START
TARGET = $DEST_DIR$\Install\%INSTALLER_FIE%
ARGUMENT = /R
ICON_FILE = $DEST_DIR$\Install\%INSTALLER_FIE%
ICON_INDEX = 0
PERMISSION = 
FOLDER_NAME = @UNINST_SHORTCUT.FOLDER_NAME@
//DESCRIPTION = @UNINST_SHORTCUT.DESC@

[MANUAL_SHORTCUT]
NAME = @WELCOME.MANUAL@
GROUP = START
TARGET = $DEST_DIR$\Install\DATA\Ssopen.exe
ARGUMENT = /T$DEST_DIR$\Install\MANUAL\$LANG_DIR$\guide.pdf /I$DEST_DIR$\Install\ACROBAT_READER\$LANG_DIR$\Acrobat.exe /N %MODEL_NAME%
ICON_FILE = $DEST_DIR$\Install\DATA\Ssopen.exe
ICON_INDEX = 0
PERMISSION = 
FOLDER_NAME = @UNINST_SHORTCUT.FOLDER_NAME@
DESCRIPTION = @WELCOME.MANUAL@

[PRINT119_SHORTCUT]
SUPPORTED_LANG = KR
NAME = @PRINT119.NAME@
GROUP = DESKTOP
TARGET = http://www.samsungprinter119.co.kr
ARGUMENT = 
ICON_FILE = $WIN_DIR$\SP119.ico
ICON_INDEX = 0
PERMISSION = 
FOLDER_NAME = 
DESCRIPTION = 
DELETE = 0

[LANGUAGE_SHORTCUT]
NAME = @COMMON.SHORTCUT_LANG@
GROUP = START
TARGET = $DEST_DIR$\Install\data\SSLang.exe
ARGUMENT = SSLang.dat
ICON_FILE = $DEST_DIR$\Install\data\SSLang.exe
ICON_INDEX = 0
PERMISSION = 
FOLDER_NAME = @UNINST_SHORTCUT.FOLDER_NAME@
DESCRIPTION = @COMMON.SHORTCUT_LANG@

///////////////////////////////////////////////////////////////////
//
// Copy / Delete Files Section
// [Section Name]
// SUPPORTED_OS
// SUPPORTED_LANG
// FILE=Src "file","Destination file","1 or 0 , Delete or not"
// FILE=Src "file","Destination file"
// ...
// DIRECTORY="SRC Dir","Destination Dir"
// DIRECTORY="SRC Dir","Destination Dir"
// ...
////////////////////////////////////////////////////////////////////

[USB_FILE_COPY_98]
SUPPORTED_OS = WIN98
FILE="$SRC_DIR$\USB\usbprint.sys","$WIN_DIR$\System32\Drivers\usbprint.sys",0
FILE="$SRC_DIR$\USB\usbmon.dll","$SYS_DIR$\usbmon.dll",0
FILE="$SRC_DIR$\USB\vpdprint.dll","$SYS_DIR$\vpdprint.dll",0
FILE="$SRC_DIR$\USB\vpdprint.drv","$SYS_DIR$\vpdprint.drv",0
FILE="$SRC_DIR$\USB\vpdprint.exe","$SYS_DIR$\vpdprint.exe",0
FILE="$SRC_DIR$\USB\Dellusb.inf","$WIN_DIR$\Inf\Dellusb.inf",1
FILE="$SRC_DIR$\USB\usbprint","$WIN_DIR$\Inf\usbprint.inf",1
FILE="$SRC_DIR$\USB\vpdprint.inf","$WIN_DIR$\Inf\vpdprint.inf",1
[USB_FILE_COPY_98_END]

[USB_FILE_COPY_ME]
SUPPORTED_OS = WINME
FILE="$SRC_DIR$\USB\usbmon.dll","$SYS_DIR$\usbmon.dll",0
FILE="$SRC_DIR$\USB\vpdprint.dll","$SYS_DIR$\vpdprint.dll",0
FILE="$SRC_DIR$\USB\vpdprint.drv","$SYS_DIR$\vpdprint.drv",0
FILE="$SRC_DIR$\USB\vpdprint.exe","$SYS_DIR$\vpdprint.exe",0
FILE="$SRC_DIR$\USB\usbprint","$WIN_DIR$\Inf\usbprint.inf",1
FILE="$SRC_DIR$\USB\vpdprint.inf","$WIN_DIR$\Inf\vpdprint.inf",1
[USB_FILE_COPY_ME_END]

[DEVICE_MONITOR_COPY]
FILE="$SRC_DIR$\data\ssusbpn.dll","$SYS_DIR$\ssusbpn.dll",0
FILE="$SRC_DIR$\data\ssdevm.dll","$SYS_DIR$\ssdevm.dll",0
[DEVICE_MONITOR_COPY_END]


[DEVICEINFO_DELETE]
SUPPORTED_OS = WIN98
FILE="$INF_DIR$\Drvidx.bin"
FILE="$INF_DIR$\Drvdata.bin"
[DEVICEINFO_DELETE]


[IPP_FILE_COPY_98]
SUPPORTED_OS =



/////////////////////////////////////////////////////////////////////
//
// section of Registry to be added 
// 
// RootKey = HKLM,HKCU        Default value is HKLM
// KeyName = Created or existing key name
// Value.VALUE = type,name,data 
// - value name is value name
// - value type is registry type (REG_DWORD, REG_SZ)
// - Value is real value, if REG_DWORD and value is 0x???? ==> it is hexadecimal
//                        if REG_DWORD and Value is ????   ==> it is decimal
//                        if REG_SZ, the value must be bound with quotation mark.
/////////////////////////////////////////////////////////////////////////////////

[ADD_REG.UNINSTKEY]
ROOTKEY = HKLM
KEYNAME = Software\Microsoft\Windows\CurrentVersion\uninstall\%MODEL_NAME%
VALUE = REG_SZ,DisplayName,@REGISTRY.UNINSTALL_NAME@
VALUE = REG_SZ,UninstallString,$DEST_DIR$\Install\%INSTALLER_FIE% /R
VALUE = REG_SZ,DisplayIcon,$DEST_DIR$\Install\%INSTALLER_FIE%
DELETE_KEY = 1
[ADD_REG.UNINSTKEY_END]


[DEL_REG.VKPRINT]
ROOTKEY = HKLM
KEYNAME = Software\%MFG%\VKPrinter\%PCL_PRINTER1%
DELETE_KEY = 1
[DEL_REG.VKPRINT_END]